<?php
	/* Copyright (c) by Hugo Leisink <hugo@leisink.net>
	 * This file is part of the Banshee PHP framework
	 * https://www.banshee-php.org/
	 *
	 * Licensed under The MIT License
	 */

	class cms_action_model extends Banshee\model {
		public function get_log_size() {
			if (($fp = fopen("../logfiles/actions.log", "r")) == false) {
				return false;
			}

			$count = 0;
			while (($line = fgets($fp)) != false) {
				$count++;
			}

			fclose($fp);

			return $count;
		}

		public function get_action_log($offset, $size) {
			if (($fp = fopen("../logfiles/actions.log", "r")) == false) {
				return false;
			}

			$count = 0;
			$log = array();
			while (($line = fgets($fp)) != false) {
				$entry = explode("|", chop($line));
				if (count($entry) < 4) {
					continue;
				}

				array_unshift($log, array(
					"ip"        => $entry[0],
					"timestamp" => $entry[1],
					"path"      => $entry[2],
					"user_id"   => $entry[3],
					"event"     => $entry[4]));

				if ($count >= $size + $offset) {
					array_pop($log);
				} else {
					$count++;
				}
			}
			fclose($fp);

			return array_slice($log, $offset);
		}

		public function get_user($user_id) {
			return $this->db->entry("users", $user_id);
		}
	}
?>
